Moving mouse cursor from Map Canvas or Panels to some Toolbars results in broken tooltip boxes
Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25506

Description

Whenever you move the mouse cursor from the map canvas or any panel (layers, browser, etc) onto some Toolbar's icons, the tooltip

shows but the box is wrong.

The boxes are sometimes shorter, thus the bottom row is cut or missing, and sometime narrower, thus the last word is missing.

I've witness this occur in the Label, Attributes, Map Navigation and Raster toolbars.

moving the mouse cursor from any other from any other tool icon results in a correct tooltip box size.

Link to video example, screenshots attached.

https://youtu.be/smInaYxiLp8

History

#1 - 2017-12-03 11:21 AM - Giovanni Manghi

- Category changed from Unknown to GUI

#2 - 2019-03-09 04:28 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please check if this issue is still valid on QGIS 3.4.5 or 3.6.

#3 - 2019-03-09 04:34 PM - Harel Dan

Seems to be working fine in 3.6.0. I've recreated my examples above and the tooltips always show the full text in the box.

#4 - 2019-03-09 04:36 PM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed
